package com.tencent.mm.protocal;

import android.os.Bundle;
import com.google.firebase.analytics.FirebaseAnalytics$a;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.jsapi.ba;
import com.tencent.mm.plugin.appbrand.jsapi.video.i;
import com.tencent.mm.plugin.appbrand.jsapi.video.j;
import com.tencent.smtt.sdk.TbsMediaPlayer$TbsMediaPlayerListener;
import com.tencent.ytcommon.BuildConfig;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.Map;

public final class c {
    private static Map<String, g> vxd = null;

    public static class af extends g {
        public af() {
            super("clearBounceBackground", "clearBounceBackground", 189, false);
        }
    }

    static final class al extends g {
        al() {
            super("closeWindowAndGoNext", "closeWindowAndGoNext", 293, false);
        }
    }

    static final class ao extends g {
        ao() {
            super("confirmDialog", "confirmDialog", 343, true);
        }
    }

    public static class bf extends g {
        public bf() {
            super("enableFullScreen", "enableFullScreen", 196, false);
        }
    }

    public static class bg extends g {
        public bg() {
            super("enablePullDownRefresh", "enablePullDownRefresh", 199, false);
        }
    }

    static final class bo extends g {
        bo() {
            super("recordHistory", "recordHistory", 219, false);
        }
    }

    public static class bp extends g {
        public bp() {
            super("geoLocation", "geo_location", 57, false);
        }
    }

    public static class br extends g {
        public br() {
            super("getBrandWCPayBindCardRequest", "get_brand_WCPay_bind_card_request", 58, true);
        }
    }

    public static class by extends g {
        public by() {
            super("getGameCommInfo", "getGameCommInfo", 241, false);
        }
    }

    public static class cj extends g {
        public cj() {
            super("getOpenDeviceId", "getOpenDeviceId", 227, false);
        }
    }

    public static class cl extends g {
        public cl() {
            super("getLatestAddress", "get_recently_used_address", 46, true);
        }
    }

    public static class d extends g {
        public d() {
            super("openEmotionDetailViewLocal", "openEmotionDetailViewLocal", 20000, false);
        }
    }

    static final class dv extends g {
        dv() {
            super("jumpDownloaderWidget", "jumpDownloaderWidget", 339, true);
        }
    }

    public static class dx extends g {
        public dx() {
            super("jumpToBizProfile", "jump_to_biz_profile", 61, true);
        }
    }

    public static class dy extends g {
        public dy() {
            super("jumpWCMall", "jump_wcmall", 51, true);
        }
    }

    public static class ec extends g {
        public ec() {
            super("launchApp", BuildConfig.FLAVOR, 27, false);
        }
    }

    static final class ei extends g {
        ei() {
            super("makePhoneCall", "makePhoneCall", 10000, true);
        }
    }

    public static class el extends g {
        public el() {
            super("openLocation", "open_location", 63, true);
        }
    }

    public static class f extends g {
        public f() {
            super("scanCover", "scanCover", 136, true);
        }
    }

    public static class fc extends g {
        public fc() {
            super("openDesignerProfileLocal", "openDesignerProfileLocal", 20000, false);
        }
    }

    static final class fd extends g {
        fd() {
            super("openECard", "openECard", 268, true);
        }
    }

    public static class fe extends g {
        public fe() {
            super("openEmoticonTopicList", "openEmoticonTopicList", 212, true);
        }
    }

    static final class fl extends g {
        fl() {
            super("openGameWebView", "openGameWebView", 287, false);
        }
    }

    public static class fm extends g {
        public fm() {
            super("openLuckyMoneyDetailView", "openLuckyMoneyDetailView", 245, false);
        }
    }

    public static class fo extends g {
        public fo() {
            super("openMapNavigateMenu", "openMapNavigateMenu", 184, true);
        }
    }

    static final class fv extends g {
        fv() {
            super("openSearchWAWidgetLogView", "openSearchWAWidgetLogView", 10000, true);
        }
    }

    public static class gg extends g {
        public gg() {
            super("openWXDeviceLib", "openWXDeviceLib", 117, false);
        }
    }

    static final class gi extends g {
        gi() {
            super("operateBackgroundAudio", "operateBackgroundAudio", 261, false);
        }
    }

    public static class go extends g {
        public go() {
            super("playVoice", "playVoice", 99, false);
        }
    }

    public static class hc extends g {
        public hc() {
            super("removeSearchWAWidgetView", BuildConfig.FLAVOR, 10000, false);
        }
    }

    public static class hu extends g {
        public hu() {
            super("secureTunnel", BuildConfig.FLAVOR, 329, false);
        }
    }

    static final class hv extends g {
        hv() {
            super("selectContact", "selectContact", 10000, true);
        }
    }

    public static class if extends g {
        public if() {
            super("sendEmail", "send_email", 35, false);
        }
    }

    static final class ii extends g {
        ii() {
            super("serviceClick", "serviceClick", 304, false);
        }
    }

    public static class ja extends g {
        public ja() {
            super("setStatusBarStyle", "setStatusBarStyle", 206, false);
        }
    }

    public static class ji extends g {
        public ji() {
            super("showMenuItems", "showMenuItems", 86, false);
        }
    }

    public static class jj extends g {
        public jj() {
            super("showNavigationBarLoading", "showNavigationBarLoading", 197, false);
        }
    }

    public static class jl extends g {
        public jl() {
            super("showSearchActionSheet", "showSearchActionSheet", 10000, false);
        }
    }

    public static class js extends g {
        public js() {
            super("startMonitoringBeacons", "startMonitoringBeacons", 151, false);
        }
    }

    public static class ju extends g {
        public ju() {
            super("startRecord", "startRecord", 96, false);
        }
    }

    public static class kd extends g {
        public kd() {
            super("stopVoice", "stopVoice", TbsMediaPlayer$TbsMediaPlayerListener.MEDIA_EXTRA_SUBTITLE_COUNT, false);
        }
    }

    public static class kf extends g {
        public kf() {
            super("selectWalletCurrency", "selectWalletCurrency", ba.CTRL_INDEX, true);
        }
    }

    public static class kl extends g {
        public kl() {
            super("updateReddotTimeStamps", BuildConfig.FLAVOR, 10000, false);
        }
    }

    public static class kx extends g {
        public kx() {
            super("verifyWCPayPassword", "verifyWCPayPassword", 115, true);
        }
    }

    static final class lr extends g {
        lr() {
            super("getCCData", "getCCData", 312, false);
        }
    }

    static final class ls extends g {
        ls() {
            super("openRealnameAuth", "openRealnameAuth", com.tencent.mm.plugin.appbrand.jsapi.wifi.d.CTRL_INDEX, true);
        }
    }

    public static class mc extends g {
        public mc() {
            super("openWebSearchOutLinkItem", BuildConfig.FLAVOR, 320, true);
        }
    }

    static final class o extends g {
        o() {
            super("authorize", "authorize", 232, true);
        }
    }

    public static class p extends g {
        public p() {
            super("batchAddCard", "batch_add_card", 82, true);
        }
    }

    static final class w extends g {
        w() {
            super("checkIsSupportFaceDetect", "checkIsSupportFaceDetect", 265, false);
        }
    }

    public static class y extends g {
        public y() {
            super("chooseCard", "choose_card", 70, true);
        }
    }

    public static Bundle akC(String str) {
        AppMethodBeat.i(79962);
        Bundle bundle = new Bundle();
        bundle.putBoolean("handle", true);
        bundle.putString("handle_result", str);
        AppMethodBeat.o(79962);
        return bundle;
    }

    public static g akD(String str) {
        AppMethodBeat.i(79963);
        if (vxd == null || vxd.size() <= 0) {
            HashMap hashMap = new HashMap(128);
            vxd = hashMap;
            hashMap.put("log", new eg());
            vxd.put("imagePreview", new dp());
            vxd.put("profile", new gw());
            vxd.put("shareWeibo", new li());
            vxd.put("shareTimeline", new kh());
            vxd.put("adDataReport", new n());
            vxd.put("streamingVideoPlay", new ke());
            vxd.put("addContact", new h());
            vxd.put("getWidgetCaptureImgUrl", new de());
            vxd.put("sendAppMessage", new ia());
            vxd.put("scanQRCode", new hs());
            vxd.put("hideOptionMenu", new dm());
            vxd.put("showOptionMenu", new jk());
            vxd.put(com.tencent.mm.plugin.appbrand.jsapi.q.d.NAME, new ci());
            vxd.put("closeWindow", new ak());
            vxd.put("getInstallState", new cd());
            vxd.put("setFontSizeCallback", new io());
            vxd.put("jumpToInstallUrl", new dw());
            vxd.put("launchApp", new ec());
            vxd.put("getBrandWCPayRequest", new bs());
            vxd.put("secureTunnel", new hu());
            vxd.put("editAddress", new bd());
            vxd.put("getHeadingAndPitch", new ca());
            vxd.put("sendEmail", new if());
            vxd.put("addDownloadTask", new j());
            vxd.put("cancelDownloadTask", new t());
            vxd.put("pauseDownloadTask", new gm());
            vxd.put("resumeDownloadTask", new hq());
            vxd.put("queryDownloadTask", new gx());
            vxd.put("installDownloadTask", new ds());
            vxd.put("getLatestAddress", new cl());
            vxd.put("openSpecificView", new fy());
            vxd.put("jumpWCMall", new dy());
            vxd.put("launch3rdApp", new eb());
            vxd.put("writeCommData", new lp());
            vxd.put("openUrlByExtBrowser", new fz());
            vxd.put("geoLocation", new bp());
            vxd.put("getBrandWCPayBindCardRequest", new br());
            vxd.put("openProductView", new fs());
            vxd.put("openProductViewWithPid", new ft());
            vxd.put("jumpToBizProfile", new dx());
            vxd.put("openTimelineCheckInList", new em());
            vxd.put("openLocation", new el());
            vxd.put("timelineCheckIn", new ek());
            vxd.put("getBrandWCPayCreateCreditCardRequest", new gf());
            vxd.put("chooseCard", new y());
            vxd.put("chooseInvoice", new ab());
            vxd.put("sendServiceAppMessage", new ig());
            vxd.put("musicPlay", new ej());
            vxd.put("mmsf0001", new bv());
            vxd.put("connectToWiFi", new aq());
            vxd.put("getTransferMoneyRequest", new da());
            vxd.put("openWCPaySpecificView", new gb());
            vxd.put("setCloseWindowConfirmDialogInfo", new im());
            vxd.put("batchAddCard", new p());
            vxd.put("preVerifyJSAPI", new gt());
            vxd.put("startRecord", new ju());
            vxd.put("stopRecord", new kb());
            vxd.put("playVoice", new go());
            vxd.put("pauseVoice", new gn());
            vxd.put("stopVoice", new kd());
            vxd.put("uploadVoice", new kv());
            vxd.put("downloadVoice", new ba());
            vxd.put("chooseImage", new aa());
            vxd.put("uploadImage", new ks());
            vxd.put("downloadImage", new az());
            vxd.put("uploadMediaFile", new kt());
            vxd.put("hideMenuItems", new dk());
            vxd.put("showMenuItems", new ji());
            vxd.put("hideAllNonBaseMenuItem", new dj());
            vxd.put("showAllNonBaseMenuItem", new jf());
            vxd.put("checkJsApi", new x());
            vxd.put("translateVoice", new ki());
            vxd.put("shareQQ", new jc());
            vxd.put("shareWeiboApp", new je());
            vxd.put("shareQZone", new jd());
            vxd.put("connectToFreeWifi", new ap());
            vxd.put("getSendC2CMessageRequest", new cx());
            vxd.put("batchViewCard", new r());
            vxd.put("configWXDeviceWiFi", new an());
            vxd.put("getCurrentSSID", new bt());
            vxd.put("setPageOwner", new iu());
            vxd.put("getWechatVerifyTicket", new dc());
            vxd.put("openWXDeviceLib", new gg());
            vxd.put("startScanWXDevice", new jv());
            vxd.put("stopScanWXDevice", new kc());
            vxd.put("connectWXDevice", new ar());
            vxd.put("disconnectWXDevice", new ay());
            vxd.put("getWXDeviceTicket", new dg());
            vxd.put("getWXDeviceInfos", new df());
            vxd.put("sendDataToWXDevice", new ic());
            vxd.put("closeWXDeviceLib", new am());
            vxd.put("setSendDataDirection", new iy());
            vxd.put("verifyWCPayPassword", new kx());
            vxd.put("getPaymentOrderRequest", new ck());
            vxd.put("openGameDetail", new fi());
            vxd.put("openGameCenter", new fh());
            vxd.put("setGameDebugConfig", new iq());
            vxd.put("startTempSession", new jx());
            vxd.put("getH5PrepayRequest", new cb());
            vxd.put("getH5TransactionRequest", new cc());
            vxd.put("menu:share:timeline", new ma());
            vxd.put("menu:share:appmessage", new lx());
            vxd.put("menu:share:qq", new ly());
            vxd.put("menu:share:weiboApp", new mb());
            vxd.put("menu:setfont", new lw());
            vxd.put("menu:share:weibo", new mb());
            vxd.put("menu:share:QZone", new lz());
            vxd.put("getRecevieBizHongBaoRequest", new e());
            vxd.put("insertVideoPlayer", new dr());
            vxd.put(j.NAME, new kp());
            vxd.put(i.NAME, new hd());
            vxd.put("operateVideoPlayer", new gk());
            vxd.put("deleteSearchHistory", new av());
            vxd.put("getSearchHistory", new ct());
            vxd.put("getSearchData", new cp());
            vxd.put("getPoiInfo", new bz());
            vxd.put("updateReddotTimeStamps", new kl());
            vxd.put("getTeachSearchData", new cz());
            vxd.put("getSearchGuideData", new cs());
            vxd.put("getSearchAvatarList", new co());
            vxd.put("getSearchSnsImageList", new cv());
            vxd.put("getSearchImageList", new cu());
            vxd.put("getSearchDisplayNameList", new cq());
            vxd.put("startSearchItemDetailPage", new jw());
            vxd.put("reportSearchStatistics", new hk());
            vxd.put("reportSearchRealTimeStatistics", new hj());
            vxd.put("searchDataHasResult", new ht());
            vxd.put("openEmotionPage", new bm());
            vxd.put("getSearchSuggestionData", new cw());
            vxd.put("setSearchInputWord", new ix());
            vxd.put("setSnsObjectXmlDescList", new iz());
            vxd.put("clickSnsMusicPlayButton", new aj());
            vxd.put("openWeAppPage", new ge());
            vxd.put("reportWeAppSearchRealtime", new lj());
            vxd.put("doSearchOperation", new bc());
            vxd.put("insertSearchWAWidgetView", new dq());
            vxd.put("removeSearchWAWidgetView", new hc());
            vxd.put("updateSearchWAWidgetView", new kn());
            vxd.put("showSearchActionSheet", new jl());
            vxd.put("cancelSearchActionSheet", new u());
            vxd.put("showSearchToast", new jo());
            vxd.put("showSearchLoading", new jm());
            vxd.put("hideSearchLoading", new dn());
            vxd.put("updateWASearchTemplate", new kq());
            vxd.put("preloadSearchWeapp", new gr());
            vxd.put("uxSearchOpLog", new kw());
            vxd.put("jumpToWXWallet", new dz());
            vxd.put("scanCover", new f());
            vxd.put("reportActionInfo", new he());
            vxd.put("openMyDeviceProfile", new fp());
            vxd.put("selectPedometerSource", new hx());
            vxd.put("nfcIsConnect", new es());
            vxd.put("nfcConnect", new ep());
            vxd.put("nfcTransceive", new et());
            vxd.put("nfcBatchTransceive", new en());
            vxd.put("nfcGetId", new eq());
            vxd.put("nfcGetInfo", new er());
            vxd.put("startMonitoringBeacons", new js());
            vxd.put("stopMonitoringBeacons", new jz());
            vxd.put("nfcCheckState", new eo());
            vxd.put("videoProxyInit", new lb());
            vxd.put("videoProxyStartPlay", new le());
            vxd.put("videoProxyStopPlay", new lf());
            vxd.put("videoProxySetPlayerState", new lc());
            vxd.put("videoProxySetRemainTime", new ld());
            vxd.put("videoProxyPreload", new lh());
            vxd.put("getWebPayCheckoutCounterRequst", new ef());
            vxd.put("addCustomMenuItems", new i());
            vxd.put("operateGameCenterMsg", new gj());
            vxd.put("openEnterpriseChat", new ff());
            vxd.put("enterEnterpriseChat", new bh());
            vxd.put("openEnterpriseContact", new fg());
            vxd.put("selectEnterpriseContact", new hw());
            vxd.put("getEnterpriseChat", new bx());
            vxd.put("reportIDKey", new hh());
            vxd.put("quicklyAddBrandContact", new gy());
            vxd.put("consumedShareCard", new as());
            vxd.put("cache", new la());
            vxd.put("publicCache", new lg());
            vxd.put("kvReport", new ea());
            vxd.put("realtimeReport", new gz());
            vxd.put("openUrlWithExtraWebview", new ga());
            vxd.put("setFreeWifiOwner", new ip());
            vxd.put("selectSingleContact", new hy());
            vxd.put("sendAppMessageToSpecifiedContact", new hz());
            vxd.put("setLocalData", new ir());
            vxd.put("getLocalData", new ce());
            vxd.put("clearLocalData", new ah());
            vxd.put("showKeyboard", new jh());
            vxd.put("showSmileyPanel", new jp());
            vxd.put("disableBounceScroll", new aw());
            vxd.put("clearBounceBackground", new af());
            vxd.put("setNavigationBarButtons", new is());
            vxd.put("enableFullScreen", new bf());
            vxd.put("showNavigationBarLoading", new jj());
            vxd.put("hideNavigationBarLoading", new dl());
            vxd.put("enablePullDownRefresh", new bg());
            vxd.put("startPullDownRefresh", new jt());
            vxd.put("stopPullDownRefresh", new ka());
            vxd.put("disablePullDownRefresh", new ax());
            vxd.put("setPageTitle", new iv());
            vxd.put("setStatusBarStyle", new ja());
            vxd.put("deleteAccountSuccess", new au());
            vxd.put("chooseVideo", new ae());
            vxd.put("uploadVideo", new ku());
            vxd.put("openMapNavigateMenu", new fo());
            vxd.put("setNavigationBarColor", new it());
            vxd.put("getWCPayRealnameVerify", new db());
            vxd.put("openDesignerEmojiView", new ez());
            vxd.put("openDesignerProfile", new fb());
            vxd.put("openEmoticonTopicList", new fe());
            vxd.put("openDesignerEmojiViewLocal", new fa());
            vxd.put("openDesignerProfileLocal", new fc());
            vxd.put("openEmotionDetailViewLocal", new d());
            vxd.put("openNewPage", new fq());
            vxd.put("getSearchEmotionData", new cr());
            vxd.put("openEmotionUrl", new be());
            vxd.put("WNNativeCallbackOnClick", new ln());
            vxd.put("WNNativeCallbackOnLongClick", new lo());
            vxd.put("WNNativeCallbackOnCaretChange", new lm());
            vxd.put("WNNativeCallbackInitData", new ll());
            vxd.put("WNNativeAsyncCallback", new lk());
            vxd.put("WNNativeCallbackOnBecomeEditing", new lt());
            vxd.put("WNNativeCallbackOnBecomeEdited", new lu());
            vxd.put("changePayActivityView", new v());
            vxd.put("selectWalletCurrency", new kf());
            vxd.put("scanLicence", new hr());
            vxd.put("operateMusicPlayer", new b());
            vxd.put("getMusicPlayerState", new a());
            vxd.put("clearWebviewCache", new ai());
            vxd.put("requireSoterBiometricAuthentication", new jq());
            vxd.put("getSupportSoter", new jr());
            vxd.put("unbindBankCard", new kj());
            vxd.put("setBounceBackground", new il());
            vxd.put("sendEnterpriseChat", new id());
            vxd.put("doExposePreparation", new bb());
            vxd.put("getMsgProofItems", new ch());
            vxd.put("openSecurityView", new fx());
            vxd.put("startVoipCall", new jy());
            vxd.put("chooseInvoiceTitle", new ac());
            vxd.put("getOpenDeviceId", new cj());
            vxd.put("getRouteUrl", new cn());
            vxd.put("idCardRealnameVerify", new do());
            vxd.put("uploadIdCardSuccess", new md());
            vxd.put("showDatePickerView", new jg());
            vxd.put("openLuckyMoneyDetailView", new fm());
            vxd.put("resendRemittanceMsg", new hp());
            vxd.put("getGameCommInfo", new by());
            vxd.put("openGameRegion", new fj());
            vxd.put("chooseIdCard", new z());
            vxd.put("getLocalImgData", new c());
            vxd.put("openWeApp", new gd());
            vxd.put("recordVideo", new ha());
            vxd.put("previewVideo", new gs());
            vxd.put("uploadEncryptMediaFile", new kr());
            vxd.put("chooseMedia", new ad());
            vxd.put("requestWxFacePictureVerify", new bi());
            vxd.put("openCustomWebview", new ey());
            vxd.put("forceUpdateWxaAttr", new bl());
            vxd.put("openLuckyMoneyHistory", new fn());
            vxd.put("menuitem:gameSendDesktop", new ie());
            vxd.put("getWePkgAuthResult", new dd());
            vxd.put("getLocalWePkgInfo", new cf());
            vxd.put("openGameWebView", new fl());
            vxd.put("reportGameWeb", new hg());
            vxd.put("launchApplication", new ed());
            vxd.put("showSearchOfBizHistory", new jn());
            vxd.put(FirebaseAnalytics$a.LOGIN, new eh());
            vxd.put("authorize", new o());
            vxd.put("requestWxFacePictureVerifyUnionVideo", new bj());
            vxd.put("checkIsSupportFaceDetect", new w());
            vxd.put("operateBackgroundAudio", new gi());
            vxd.put("setBackgroundAudioState", new ik());
            vxd.put("getBackgroundAudioState", new bq());
            vxd.put("addDownloadTaskStraight", new k());
            vxd.put("setScreenOrientation", new iw());
            vxd.put("addToEmoticon", new m());
            vxd.put("shareEmoticon", new jb());
            vxd.put("makePhoneCall", new ei());
            vxd.put("openADCanvas", new ex());
            vxd.put("openSearchCanvas", new fu());
            vxd.put("opVoteAdData", new gl());
            vxd.put("requestWxFaceRegisterInternal", new hm());
            vxd.put("requestWxFaceVerifyInternal", new hn());
            vxd.put("launchMiniProgram", new ee());
            vxd.put("reportMiniProgramPageData", new hi());
            vxd.put("selectContact", new hv());
            vxd.put("openSearchWAWidgetLogView", new fv());
            vxd.put("reloadSearchWAWidgetData", new hb());
            vxd.put("closeWindowAndGoNext", new al());
            vxd.put("requestWxVoicePrintVerifyInternal", new ho());
            vxd.put("openBizChat", new ew());
            vxd.put("handleWCPayWalletBuffer", new di());
            vxd.put("tapSearchWAWidgetView", new kg());
            vxd.put("getMatchContactList", new cg());
            vxd.put("openSearchWebView", new fw());
            vxd.put("openWXSearchPage", new gh());
            vxd.put("viewTypeChange", new ky());
            vxd.put("invokeMiniProgramAPI", new du());
            vxd.put("openGameUrlWithExtraWebView", new fk());
            vxd.put("setGameData", new in());
            vxd.put("getGameData", new bu());
            vxd.put("clearGameData", new ag());
            vxd.put("openECard", new fd());
            vxd.put("reportGamePageTime", new hf());
            vxd.put("setWCPayPassword", new ij());
            vxd.put("openWCPayCardList", new ev());
            vxd.put("bindEmail", new s());
            vxd.put("openOfflinePayView", new fr());
            vxd.put("bindEmail", new s());
            vxd.put("doGoToRecVideoList", new cm());
            vxd.put("jumpWSRecVideoList", new lv());
            vxd.put("openWebSearchOutLinkItem", new mc());
            vxd.put("recordHistory", new bo());
            LinkedList<g> linkedList = new LinkedList();
            linkedList.add(new gq());
            linkedList.add(new gp());
            linkedList.add(new ib());
            linkedList.add(new dh());
            linkedList.add(new gv());
            linkedList.add(new gu());
            linkedList.add(new bn());
            linkedList.add(new gc());
            linkedList.add(new ao());
            for (g gVar : linkedList) {
                vxd.put(gVar.getName(), gVar);
            }
            vxd.put("getSystemInfo", new cy());
            vxd.put("serviceClick", new ii());
            vxd.put("openRealnameAuth", new ls());
            vxd.put("sendSingleAppMessage", new ih());
            vxd.put("wcPrivacyPolicyResult", new kz());
            vxd.put("currentMpInfo", new at());
            vxd.put("updateAppMessageShareData", new km());
            vxd.put("updateTimelineShareData", new ko());
            vxd.put("getCCData", new lr());
            vxd.put("calRqt", new lq());
            vxd.put("faceVerifyForPay", new bk());
            vxd.put("request", new hl());
            vxd.put("notifyPageInfo", new eu());
            vxd.put("updatePageAuth", new kk());
            vxd.put("jumpDownloaderWidget", new dv());
            vxd.put("batchUpdateWepkg", new q());
            vxd.put("addGameDownloadTask", new l());
            vxd.put("internelWxFaceVerify", new dt());
            vxd.put("getDownloadWidgetTaskInfos", new bw());
        }
        g gVar2 = (g) vxd.get(str);
        AppMethodBeat.o(79963);
        return gVar2;
    }
}
